Package org.pgpainless.algorithm

# Enum Class EncryptionPurpose

java.lang.Object
java.lang.Enum<EncryptionPurpose>
org.pgpainless.algorithm.EncryptionPurpose

All Implemented Interfaces:
  `Serializable`, `Comparable<EncryptionPurpose>`, `Constable`

public enum EncryptionPurpose extends Enum<EncryptionPurpose>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ANY`
The stream will use keys with either flags to encrypt the data.
`COMMUNICATIONS`
The stream will encrypt communication that goes over the wire.
`STORAGE`
The stream will encrypt data at rest.

## Method Summary

Modifier and Type
Method
Description
`static EncryptionPurpose`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static EncryptionPurpose[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### COMMUNICATIONS

public static final EncryptionPurpose COMMUNICATIONS
The stream will encrypt communication that goes over the wire. E.g. EMail, Chat...

### STORAGE

public static final EncryptionPurpose STORAGE
The stream will encrypt data at rest. E.g. Encrypted backup...

### ANY

public static final EncryptionPurpose ANY
The stream will use keys with either flags to encrypt the data.

## Method Details

### values

public static EncryptionPurpose[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static EncryptionPurpose valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null